Trio Client API Docs
Trio
Trio
  1. Timecard
  • Home
  • APIs
    • Invoice
      • Get a list of invoices.
      • Get an invoice by number
      • Get a list of timecards for the specified invoice.
    • Job
      • Gets a listing of all open jobs.
      • Gets a listing of closed jobs based on the date range.
      • Get information for the specified job.
    • Positions
      • Gets a list of assignments with demographics
    • Profession
      • Gets all professions with a list of their specialties.
    • ProviderConfirmation
      • Get information for the specified provider confirmation.
    • Specialty
      • Gets all specialties.
      • Gets information for the specified specialty.
    • Submission
      • Get a list of all submissions related to your account.
    • Timecard
      • Get a list of all Timecards related to your account.
        GET
      • Get a list of all valid Pay Types the can be used when creating/updating Timecard Lines.
        GET
      • Get callback statistics for a specific client.
        GET
      • Get the reviews for a specific timecard.
        GET
      • Create a review for a specific timecard.
        POST
      • Get a review for a specific timecard.
        GET
      • Get a list of reviews for a specific timecard.
        GET
      • Update a review for a specific timecard.
        PUT
      • Delete a review for a specific timecard.
        DELETE
      • Get a specific timecard.
        GET
      • Get a list of all documents associated with a timecard.
        GET
      • Get the timesheet document associated with a timecard.
        GET
      • Get a specific document associated with a timecard.
        GET
    • Timecard Copy
      • Get a list of all Timecards related to your account.
      • Get a list of all valid Pay Types the can be used when creating/updating Timecard Lines.
      • Get a specific timecard.
      • Get a list of all documents associated with a timecard.
      • Get the timesheet document associated with a timecard.
      • Get a specific document associated with a timecard.
    • TimecardExpense
      • Get a list of all Timecard Expenses for a Timecard.
    • TimecardLine
      • Get a list of all Timecard Lines for a Timecard.
  1. Timecard

Create a review for a specific timecard.

POST
/Timecard/{idOrNumber}/reviews

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢201Created
application/json
Resource create operation completed successfully.
Headers

Body

🟠400Bad Request
🟠404Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.triowfs.com/trio/Timecard/315592/reviews' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "ExternalId": "158799685299",
    "ReviewedOn": null,
    "status": 3,
    "Steps": [
        {
            "Name": "Johnnie Ward",
            "status": "Passed",
            "Tasks": [
                {
                    "Name": "Miss Eva Schoen-Cummerata",
                    "status": "Passed",
                    "keyFindings": [
                        {
                            "Title": "inasmuch incidentally impractical familiar tensely see provided what",
                            "Content": [
                                "Abduco traho decor illo vulariter. Iure vociferor theca desino armarium vox cuppedia vindico talis curo. Utilis depraedor considero texo recusandae suffragium."
                            ]
                        },
                        {
                            "Title": "milky upset athwart against window personalise supposing possible zowie",
                            "Content": [
                                "Cognomen conduco amplexus copiose crudelis unus cupio aliquid clarus. Arto vigor careo annus. Cedo defleo vorax suus optio articulus.",
                                "Pecus iste error cogo timor coadunatio audacia ascisco. Aegre ipsa conatus deporto validus villa suscipit. Terra aspicio tabesco."
                            ]
                        },
                    ]
                },
                {
                    "Name": "Dana Langosh",
                    "status": "AdditionalReviewNeeded",
                    "keyFindings": null
                },
                {
                    "Name": "Johnny Schiller",
                    "status": 3,
                    "keyFindings": [
                        {
                            "Title": "diligently colon boo enlist divert recklessly dime about monocle",
                            "Content": [
                                "Corrupti vindico eaque tergeo. Virga sit ex adulescens cultellus damnatio. Compello comburo consuasor."
                            ]
                        },
                        {
                            "Title": "pish elliptical brr instead focused oof earth inborn primary",
                            "Content": [
                                "Aggredior quas tero. Degero blanditiis cubo crudelis error ustulo derelinquo adduco tres. Pauci tyrannus volo abstergo.",
                                "Conor aureus delicate deripio. Velut uxor adfero atrox creator candidus arx traho urbs vulgus. Damnatio temperantia animi dolorum tener ipsa tutamen vinculum.",
                                "Arbitro aestas abbas exercitationem adulescens absque abstergo reprehenderit consequuntur. Victoria terminatio cilicium uxor concido. Decumbo illum varietas votum abundans charisma confido."
                            ]
                        },
                        {
                            "Title": "ouch bah ha out lest watery vice",
                            "Content": [
                                "Sono decor expedita. Spectaculum vaco angelus. Nostrum trado clibanus ceno vesco annus terminatio.",
                                "Sum viscus voluptas victoria adficio totus curia corporis aer virga. Quae cupressus utilis. Appello terga confido cruciamentum quisquam suppellex ullam natus.",
                                "Aurum claustrum decerno facilis desolo paulatim. Tandem terminatio textilis stips terreo caste stultus. Suadeo perferendis exercitationem via veritatis thema contabesco aeger degero."
                            ]
                        }
                    ]
                }
            ]
        }
    ]
}'
Response Response Example
201 - Example 1
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
Modified at 2026-01-22 18:05:46
Previous
Get the reviews for a specific timecard.
Next
Get a review for a specific timecard.
Built with